Package org.kapott.cryptalgs

## Class PBKDF2

- java.lang.Object
- - org.kapott.cryptalgs.PBKDF2

    public class PBKDF2
    extends java.lang.Object

### Constructor Summary

Constructors
`PBKDF2()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `deriveKey​(byte[] salt, long nof_iterations, byte[] pass, int dkLen, java.lang.String algname)`
`static byte[]` `paddingRFC1423​(byte[] input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PBKDF2

    public PBKDF2()

### Method Detail

#### deriveKey

    public static byte[] deriveKey​(byte[] salt,
                                   long nof_iterations,
                                   byte[] pass,
                                   int dkLen,
                                   java.lang.String algname)

#### paddingRFC1423

    public static byte[] paddingRFC1423​(byte[] input)